package org.umu.atica.seam.security.authentication;

import static org.jboss.seam.annotations.Install.FRAMEWORK;

import org.jboss.seam.annotations.Install;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.intercept.BypassInterceptors;
import org.jboss.seam.log.Log;
import org.jboss.seam.log.Logging;

@Name("authenticator")
@Install(precedence = FRAMEWORK)
@BypassInterceptors
public class AuthenticatorAction extends AbstractAuthenticatorAction {

    private static final Log LOG = Logging.getLog(AuthenticatorAction.class);
       
    @Override
    protected AbstractAuthenticationManagerBean getAuthenticationManagerBean() {
        return AuthenticationManagerBean.instance();
    }

    @Override
    protected Log getLog() {
        return LOG;
    }
    
}
